## GnomeDbGrid

GnomeDbGrid — Database grid widget to display and modify data in a GdaDataModel, with command buttons and indicators

##

# Synopsis

    struct      GnomeDbGrid;
    struct      GnomeDbGridClass;
    struct      GnomeDbGridPriv;
    GtkWidget*  gnome_db_grid_new               (GdaDataModel *model);
    GList*      gnome_db_grid_get_selection     (GnomeDbGrid *grid);
    void        gnome_db_grid_set_sample_size   (GnomeDbGrid *grid,
                                                 gint sample_size);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBox
                                     +----GtkVBox
                                           +----GnomeDbGrid

## Implemented Interfaces

GnomeDbGrid implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Properties

      "model"                GdaDataModel         : Read / Write / Construct Only
      "raw-grid"             GnomeDbRawGrid       : Read
      "widget-info"          GnomeDbDataWidgetInfo : Read

## Description

## Details

### struct GnomeDbGrid

    struct GnomeDbGrid;

### struct GnomeDbGridClass

    struct GnomeDbGridClass {

    	GtkVBoxClass       parent_class;
    };

### struct GnomeDbGridPriv

    struct GnomeDbGridPriv;

### gnome_db_grid_new ()

    GtkWidget*  gnome_db_grid_new               (GdaDataModel *model);

Creates a new GnomeDbGrid widget suitable to display the data in `model`

`model` : | a GdaDataModel
Returns : | the new widget

### gnome_db_grid_get_selection ()

    GList*      gnome_db_grid_get_selection     (GnomeDbGrid *grid);

Returns the list of the currently selected rows in a GnomeDbGrid widget. The returned value is a list of integers, which represent each of the selected rows.

If new rows have been inserted, then those new rows will have a row number equal to -1. This function is a wrapper around the `gnome_db_raw_grid_get_selection()` function.

`grid` : | a GnomeDbGrid widget
Returns : | a new list, should be freed (by calling g_list_free) when no longer needed.

### gnome_db_grid_set_sample_size ()

    void        gnome_db_grid_set_sample_size   (GnomeDbGrid *grid,
                                                 gint sample_size);

`grid` : | a GnomeDbGrid widget
`sample_size` : |

## Properties

"`model`" (GdaDataModel : Read / Write / Construct Only) |
"`raw-grid`" (GnomeDbRawGrid : Read) |
"`widget-info`" (GnomeDbDataWidgetInfo : Read) |

## See Also

The GnomeDbRawGrid widget which is being used in this widget, or the GnomeDbForm widget which displays data in a form instead of a grid.